Macro SuperWire

From FreeCAD Documentation
Revision as of 11:56, 26 September 2017 by Mario52 (talk | contribs) (date)

File:Text-x-python SuperWire

Description
This macro creates a wire from selected objects (lines and arcs) even where normal wire creation methods (for example the upgrade tool) fail

Macro version: 0.1
Last modified: 22/05/2012
Author: Yorik
Author
Yorik
Download
None
Links
Macro Version
0.1
Date last modified
22/05/2012
FreeCAD Version(s)
None
Default shortcut
None
See also
None

This macro creates a wire from selected objects (lines and arcs) even where normal wire creation methods (for example the upgrade tool) fail.
Attention, you need a recent version of FreeCAD for this to work


import FreeCAD,FreeCADGui,Part
try:
    import DraftGeomUtils as fcgeo
except:
    from draftlibs import fcgeo

sel = FreeCADGui.Selection.getSelection()
if not sel:
   FreeCAD.Console.PrintWarning("Select something first!")
else:
   elist = []
   for obj in sel:
       if hasattr(obj,"Shape"):
           elist.append(obj.Shape.Edges[0])
   wire = fcgeo.superWire(elist)
   if wire:
       Part.show(wire)
   else:
       FreeCAD.Console.PrintError("SuperWire operation failed!")